% fig2.m
% 
% Generates a figure of forcing data (temperature change and sea level change) 
% as a function of time.  

clear all
close all

begin_row = (125* 10^ 3- 160)/ 20+ 1; 
paleo_tick = [-125 -115 -20 -5 0]; 
historic_tick = [1840 2005 2100 2300 3000 3500]; 

data = dlmread('data_table_1.csv'); 
end_row = numel(data(:, 1));  

subplot(2, 1, 1)
[AX,H1,H2] = plotyy(data(:, 1)/ 10^ 3, data(:, 2), data(:, 1)/ 10^ 3, data(:, 3)); 
set(gca, 'xlabel', 'Time (ka before 2000 AD)')
set(get(AX(1), 'Ylabel'), 'String', 'Temperature change (^oC)') 
set(get(AX(2), 'Ylabel'), 'String', 'Sea level change (m)') 
set(AX(1), 'xtick', paleo_tick); 
set(AX(2), 'xtick', [-125: 25: 0], 'ylim', [-150 60], 'ytick', [-150: 50: 50]); 
set(AX(2), 'xticklabel', []); 
hold on
plot([-0.160 -0.160], get(gca, 'ylim'))

subplot(2, 1, 2)
[AX,H1,H2] = plotyy(data(begin_row: end_row, 1)+ 2000, data(begin_row: end_row, 2), data(begin_row: end_row, 1)+ 2000, data(begin_row: end_row, 3)); 
set(gca, 'xlabel', 'Time (years AD)')
set(get(AX(1), 'Ylabel'), 'String', 'Temperature change (^oC)') 
set(get(AX(2), 'Ylabel'), 'String', 'Sea level change (m)') 
set(AX(1), 'ylim', [-4.5 5.5]) 
set(AX(1), 'ytick', [-4: 1: 5])
set(AX(2), 'ylim', [-4.5 5.5]) 
set(AX(2), 'ytick', [0]) 
set(AX(2), 'yticklabel', [0], 'color', 'g')
set(AX(2), 'color', 'none')
set(AX(1), 'xtick', historic_tick); 
set(AX(2), 'xtick', [1900: 200: 3500]); 
set(AX(2), 'xticklabel', []); 
